Lingxing
切换旧版

查询销售出库单详情

POST/basicOpen/wmsOrder/getWmsOrdersByOrderNumbers

支持查询ERP中【仓库】>【销售出库单】数据,即自发货订单销售出库单

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/wmsOrder/getWmsOrdersByOrderNumbersHTTPSPOST1

请求参数

isPrintCenterinteger
是否需要拣货信息,枚举值:1-是, 0-否
orderNumbersstring
系统单号,必填,多个以逗号连接

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/wmsOrder/getWmsOrdersByOrderNumbers?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "isPrintCenter": 1,
    "orderNumbers": "103560730955456512,103560730955456513"
}'

返回结果

Json Object

codeinteger必填
响应码
dataobject必填
返回数据
隐藏子属性
orderCountinteger必填
订单数量
示例 2
orderListarray<object>必填
订单列表
隐藏子属性
actualCarrierstring必填
实际承运商
示例 顺丰快递
amazonOrderIdstring必填
平台单号
示例 40906
autoCompleteinteger必填
是否快速出库,枚举值:1-是, 0-否
示例 0
batchNostring必填
波次号
示例 BATCH001
companyIdinteger必填
企业ID
示例 901157321452879900
isAdvanceDeliveryinteger必填
是否预发货,枚举值:1-是, 0-否
示例 0
isCheckinteger必填
是否已验货,枚举值:1-是, 0-否
示例 0
isLockStorageinteger必填
是否已锁定库存,枚举值:1-是, 0-否
示例 1
isOrderPrintinteger必填
是否已打印发货单,枚举值:1-是, 0-否
示例 0
isSurfacePrintinteger必填
是否已打印面单,枚举值:1-是, 0-否
示例 0
isWeighinteger必填
是否已称重,枚举值:1-是, 0-否
示例 0
logisticsProviderNamestring必填
物流商名称
示例 自定义物流商
logisticsTypeNamestring必填
物流方式名称
示例 wjc自定义物流
orderBuyerNotesstring必填
买家备注
示例 请尽快发货
orderCustomerServiceNotesstring必填
客服备注
示例 已联系客户确认地址
orderFrominteger必填
订单来源,枚举值:1-线上订单, 2-手工订单, 3-补发订单
示例 2
orderNumberstring必填
系统单号
示例 103560730955456512
orderTypeinteger必填
订单类型,枚举值:1-一单一件, 2-多品多件, 3-单品多件
示例 3
platformCodeinteger必填
平台代码
示例 10011
productInfoarray<object>必填
商品信息列表
隐藏子属性
asinstring必填
ASIN 或 MSKU ID
示例 B08C1234RM
cnNamestring必填
中文名
示例 测试测
countinteger必填
商品数量
示例 1
currencyCodestring必填
币种
示例 $
enNamestring必填
英文名
示例 ceshice
itemUnitPricestring必填
商品单价
示例 8.99
picUrlstring必填
图片链接
productIdinteger必填
商品ID
示例 1
productNamestring必填
品名
示例 123342
remarkstring必填
商品备注
示例 客户要求加急
sellerSkustring必填
MSKU
示例 aa0001
skustring必填
SKU
示例 12123
titlestring必填
商品标题
示例 Water Sports
unitPricestring必填
单价
示例 0.25
whbInfoarray<object>必填
仓位信息列表
隐藏子属性
productPickNuminteger必填
待拣货数量
示例 1
whbCodestring必填
仓位编码
示例 ts_valid
wodIdinteger必填
订单商品ID
示例 2651
productListarray<object>必填
商品列表(拣货)
隐藏子属性
cnNamestring必填
中文名
示例 测试产品
enNamestring必填
英文名
示例 Test Product
pickListarray<object>必填
拣货列表(适用于自动生成加工单, 组合商品拣货子产品场景)
隐藏子属性
pickProductNamestring必填
拣货品名
示例 040906
pickQuantityinteger必填
拣货数量
示例 2
pickSkustring必填
拣货SKU
示例 040906
pickWhbCodestring必填
拣货仓位代码
示例 可用暂存
skustring必填
SKU
示例 040906
whbListarray<object>必填
仓位列表
隐藏子属性
productPickNuminteger必填
拣货数量
示例 2
whbIdinteger必填
仓位ID
示例 26971
whbNamestring必填
仓位名称
示例 可用暂存
referenceNostring必填
参考号
示例 REF001
sidinteger必填
店铺ID
示例 110470479434055680
siteCodestring必填
站点代码
示例 US
statusinteger必填
状态,枚举值:1-物流下单, 2-发货中, 3-已发货, 4-已删除
示例 2
surfaceFileIdinteger必填
面单ID
示例 1825
surfacePdfstring必填
面单PDF链接
trackingNostring必填
跟踪号
示例 112
warehouseTypeinteger必填
仓库类型
示例 1
waybillNostring必填
运单号
示例 123
widinteger必填
仓库ID
示例 3262
woIdinteger必填
销售出库单ID
示例 126758
woNumberstring必填
销售出库单号
示例 WO103560733392438272
zidinteger必填
企业ID
示例 1
error_detailsarray<any>必填
错误详情
messagestring必填
提示信息
request_idstring必填
请求id
response_timestring必填
响应时间
totalinteger必填
总记录数

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583.178.17255922733991817",
    "response_time": "2024-11-12 16:00:00",
    "data": {
        "orderCount": 2,
        "orderList": [
            {
                "actualCarrier": "顺丰快递",
                "amazonOrderId": "40906",
                "autoComplete": 0,
                "batchNo": "BATCH001",
                "companyId": 901157321452879900,
                "isAdvanceDelivery": 0,
                "isCheck": 0,
                "isLockStorage": 1,
                "isOrderPrint": 0,
                "isSurfacePrint": 0,
                "isWeigh": 0,
                "logisticsProviderName": "自定义物流商",
                "logisticsTypeName": "wjc自定义物流",
                "orderBuyerNotes": "请尽快发货",
                "orderCustomerServiceNotes": "已联系客户确认地址",
                "orderFrom": 2,
                "orderNumber": "103560730955456512",
                "orderType": 3,
                "platformCode": 10011,
                "productInfo": [
                    {
                        "asin": "B08C1234RM",
                        "cnName": "测试测",
                        "count": 1,
                        "currencyCode": "$",
                        "enName": "ceshice",
                        "itemUnitPrice": "8.99",
                        "picUrl": "",
                        "productId": 1,
                        "productName": "123342",
                        "remark": "客户要求加急",
                        "sellerSku": "aa0001",
                        "sku": "12123",
                        "title": "Water Sports",
                        "unitPrice": "0.25",
                        "whbInfo": [
                            {
                                "productPickNum": 1,
                                "whbCode": "ts_valid"
                            }
                        ],
                        "wodId": 2651
                    }
                ],
                "productList": [
                    {
                        "cnName": "测试产品",
                        "enName": "Test Product",
                        "pickList": [
                            {
                                "pickProductName": "040906",
                                "pickQuantity": 2,
                                "pickSku": "040906",
                                "pickWhbCode": "可用暂存"
                            }
                        ],
                        "sku": "040906",
                        "whbList": [
                            {
                                "productPickNum": 2,
                                "whbId": 26971,
                                "whbName": "可用暂存"
                            }
                        ]
                    }
                ],
                "referenceNo": "REF001",
                "sid": 110470479434055680,
                "siteCode": "US",
                "status": 2,
                "surfaceFileId": 1825,
                "surfacePdf": "",
                "trackingNo": "112",
                "warehouseType": 1,
                "waybillNo": "123",
                "wid": 3262,
                "woId": 126758,
                "woNumber": "WO103560733392438272",
                "zid": 1
            },
            {
                "actualCarrier": "圆通快递",
                "amazonOrderId": "40907",
                "autoComplete": 1,
                "batchNo": "BATCH002",
                "companyId": 901157321452879900,
                "isAdvanceDelivery": 0,
                "isCheck": 1,
                "isLockStorage": 1,
                "isOrderPrint": 1,
                "isSurfacePrint": 1,
                "isWeigh": 1,
                "logisticsProviderName": "自建物流",
                "logisticsTypeName": "陆运",
                "orderBuyerNotes": "请加急发货,谢谢",
                "orderCustomerServiceNotes": "客户已更改地址",
                "orderFrom": 1,
                "orderNumber": "103643522853101719",
                "orderType": 2,
                "platformCode": 10012,
                "productInfo": [
                    {
                        "asin": "B08C5678YZ",
                        "cnName": "耳机",
                        "count": 2,
                        "currencyCode": "$",
                        "enName": "Headphones",
                        "itemUnitPrice": "15.99",
                        "picUrl": "",
                        "productId": 2,
                        "productName": "无线耳机",
                        "remark": "轻拿轻放",
                        "sellerSku": "bb0002",
                        "sku": "45678",
                        "title": "Wireless Headphones",
                        "unitPrice": "0.50",
                        "whbInfo": [
                            {
                                "productPickNum": 2,
                                "whbCode": "whb_zone_a"
                            }
                        ],
                        "wodId": 2652
                    },
                    {
                        "asin": "B08D9012AB",
                        "cnName": "手机壳",
                        "count": 1,
                        "currencyCode": "$",
                        "enName": "Phone Case",
                        "itemUnitPrice": "5.00",
                        "picUrl": "",
                        "productId": 3,
                        "productName": "iPhone保护壳",
                        "remark": "黑色款",
                        "sellerSku": "cc0003",
                        "sku": "90123",
                        "title": "iPhone Protective Case",
                        "unitPrice": "0.10",
                        "whbInfo": [
                            {
                                "productPickNum": 1,
                                "whbCode": "whb_zone_b"
                            }
                        ],
                        "wodId": 2653
                    }
                ],
                "productList": [
                    {
                        "cnName": "耳机",
                        "enName": "Headphones",
                        "pickList": [
                            {
                                "pickProductName": "耳机",
                                "pickQuantity": 2,
                                "pickSku": "45678",
                                "pickWhbCode": "A区货架"
                            }
                        ],
                        "sku": "45678",
                        "whbList": [
                            {
                                "productPickNum": 2,
                                "whbId": 26972,
                                "whbName": "A区货架"
                            }
                        ]
                    },
                    {
                        "cnName": "手机壳",
                        "enName": "Phone Case",
                        "pickList": [
                            {
                                "pickProductName": "手机壳",
                                "pickQuantity": 1,
                                "pickSku": "90123",
                                "pickWhbCode": "B区货架"
                            }
                        ],
                        "sku": "90123",
                        "whbList": [
                            {
                                "productPickNum": 1,
                                "whbId": 26973,
                                "whbName": "B区货架"
                            }
                        ]
                    }
                ],
                "referenceNo": "REF002",
                "sid": 110470479434055681,
                "siteCode": "DE",
                "status": 3,
                "surfaceFileId": 1826,
                "surfacePdf": "",
                "trackingNo": "113",
                "warehouseType": 1,
                "waybillNo": "456",
                "wid": 3263,
                "woId": 126759,
                "woNumber": "WO103643522853101719",
                "zid": 1
            }
        ],
        "total": 2
    }
}